<?php
/*
 * Created on 10.09.2008
 *
 * @copyright (c) 2010 animegame.eu
 * @license http://www.gnu.org/licenses/gpl-3.0.html GNU General Public Licence
 *
 */

// Schauen ob eigene Rassen genutzt werden sollen?

include_once ($_SERVER['DOCUMENT_ROOT'] . 'ag/include/config/settings.inc.php');
include_once($_SERVER['DOCUMENT_ROOT'].'ag/include/char.inc.php');

function init_races() {
	if (isset ($GLOBALS['races_location_file'])) {
		include_once ($GLOBALS['races_location_file']);
		return;
	}

	$GLOBALS['race_kategories'][0]['name'] = 'One Piece';
	$GLOBALS['race_kategories'][1]['name'] = 'Dragonball';

	$GLOBALS['races']['Mensch']['id'] = 1;
	$GLOBALS['races']['Mensch']['name'] = 'Mensch';
	$GLOBALS['races']['Mensch']['HP'] = 150;
	$GLOBALS['races']['Mensch']['MP'] = 30;
	$GLOBALS['races']['Mensch']['Starke'] = 15;
	$GLOBALS['races']['Mensch']['Verteidigung'] = 9;
	$GLOBALS['races']['Mensch']['Geschwindigkeit'] = 13;
	$GLOBALS['races']['Mensch']['Gluck'] = 4;
	$GLOBALS['races']['Mensch']['Ausdauer'] = 8;
	$GLOBALS['races']['Mensch']['type'] = 1; // ID der race_kategorie
	$GLOBALS['races']['Mensch']['special'] = 'no'; // Ist kein Spezialchar!

	$GLOBALS['races']['Saiyajin']['id'] = 2;
	$GLOBALS['races']['Saiyajin']['name'] = 'Saiyajin';
	$GLOBALS['races']['Saiyajin']['HP'] = 120;
	$GLOBALS['races']['Saiyajin']['MP'] = 30;
	$GLOBALS['races']['Saiyajin']['Starke'] = 18;
	$GLOBALS['races']['Saiyajin']['Verteidigung'] = 10;
	$GLOBALS['races']['Saiyajin']['Geschwindigkeit'] = 9;
	$GLOBALS['races']['Saiyajin']['Gluck'] = 5;
	$GLOBALS['races']['Saiyajin']['Ausdauer'] = 10;
	$GLOBALS['races']['Saiyajin']['type'] = 1; // ID der race_kategorie
	$GLOBALS['races']['Saiyajin']['special'] = 'no'; // Ist kein Spezialchar!

	$GLOBALS['races']['Dämon']['id'] = 3;
	$GLOBALS['races']['Dämon']['name'] = 'Dämon';
	$GLOBALS['races']['Dämon']['HP'] = 160;
	$GLOBALS['races']['Dämon']['MP'] = 50;
	$GLOBALS['races']['Dämon']['Starke'] = 8;
	$GLOBALS['races']['Dämon']['Verteidigung'] = 15;
	$GLOBALS['races']['Dämon']['Geschwindigkeit'] = 11;
	$GLOBALS['races']['Dämon']['Gluck'] = 0;
	$GLOBALS['races']['Dämon']['Ausdauer'] = 9;
	$GLOBALS['races']['Dämon']['type'] = 1; // ID der race_kategorie
	$GLOBALS['races']['Dämon']['special'] = 'no'; // Ist kein Spezialchar!

	$GLOBALS['races']['Mutant']['id'] = 4;
	$GLOBALS['races']['Mutant']['name'] = 'Mutant';
	$GLOBALS['races']['Mutant']['HP'] = 180;
	$GLOBALS['races']['Mutant']['MP'] = 15;
	$GLOBALS['races']['Mutant']['Starke'] = 13;
	$GLOBALS['races']['Mutant']['Verteidigung'] = 9;
	$GLOBALS['races']['Mutant']['Geschwindigkeit'] = 18;
	$GLOBALS['races']['Mutant']['Gluck'] = 4;
	$GLOBALS['races']['Mutant']['Ausdauer'] = 5;
	$GLOBALS['races']['Mutant']['type'] = 1; // ID der race_kategorie
	$GLOBALS['races']['Mutant']['special'] = 'no'; // Ist kein Spezialchar!

	$GLOBALS['races']['Cyborg']['id'] = 5;
	$GLOBALS['races']['Cyborg']['name'] = 'Cyborg';
	$GLOBALS['races']['Cyborg']['HP'] = 250;
	$GLOBALS['races']['Cyborg']['MP'] = 20;
	$GLOBALS['races']['Cyborg']['Starke'] = 11;
	$GLOBALS['races']['Cyborg']['Verteidigung'] = 30;
	$GLOBALS['races']['Cyborg']['Geschwindigkeit'] = 0;
	$GLOBALS['races']['Cyborg']['Gluck'] = 0;
	$GLOBALS['races']['Cyborg']['Ausdauer'] = 0;
	$GLOBALS['races']['Cyborg']['type'] = 1; // ID der race_kategorie
	$GLOBALS['races']['Cyborg']['special'] = 'no'; // Ist kein Spezialchar!

	$GLOBALS['races']['Namekianer']['id'] = 6;
	$GLOBALS['races']['Namekianer']['name'] = 'Namekianer';
	$GLOBALS['races']['Namekianer']['HP'] = 100;
	$GLOBALS['races']['Namekianer']['MP'] = 10;
	$GLOBALS['races']['Namekianer']['Starke'] = 18;
	$GLOBALS['races']['Namekianer']['Verteidigung'] = 10;
	$GLOBALS['races']['Namekianer']['Geschwindigkeit'] = 14;
	$GLOBALS['races']['Namekianer']['Gluck'] = 6;
	$GLOBALS['races']['Namekianer']['Ausdauer'] = 10;
	$GLOBALS['races']['Namekianer']['type'] = 1; // ID der race_kategorie
	$GLOBALS['races']['Namekianer']['special'] = 'no'; // Ist kein Spezialchar!

	$GLOBALS['races']['Pirat']['id'] = 7;
	$GLOBALS['races']['Pirat']['name'] = 'Pirat';
	$GLOBALS['races']['Pirat']['HP'] = 100;
	$GLOBALS['races']['Pirat']['MP'] = 25;
	$GLOBALS['races']['Pirat']['Starke'] = 20;
	$GLOBALS['races']['Pirat']['Verteidigung'] = 10;
	$GLOBALS['races']['Pirat']['Geschwindigkeit'] = 15;
	$GLOBALS['races']['Pirat']['Gluck'] = 3;
	$GLOBALS['races']['Pirat']['Ausdauer'] = 7;
	$GLOBALS['races']['Pirat']['type'] = 0; // ID der race_kategorie
	$GLOBALS['races']['Pirat']['special'] = 'no'; // Ist kein Spezialchar!

	$GLOBALS['races']['Shichibukai']['id'] = 8;
	$GLOBALS['races']['Shichibukai']['name'] = 'Shichibukai';
	$GLOBALS['races']['Shichibukai']['HP'] = 1000;
	$GLOBALS['races']['Shichibukai']['MP'] = 150;
	$GLOBALS['races']['Shichibukai']['Starke'] = 100;
	$GLOBALS['races']['Shichibukai']['Verteidigung'] = 100;
	$GLOBALS['races']['Shichibukai']['Geschwindigkeit'] = 100;
	$GLOBALS['races']['Shichibukai']['Gluck'] = 100;
	$GLOBALS['races']['Shichibukai']['Ausdauer'] = 100;
	$GLOBALS['races']['Shichibukai']['type'] = $dbz;
	$GLOBALS['races']['Shichibukai']['trainingspoints'] = 500;
	$GLOBALS['races']['Shichibukai']['type'] = 0; // ID der race_kategorie
	$GLOBALS['races']['Shichibukai']['special'] = 'yes'; // Ist kein Spezialchar!

	$GLOBALS['races']['Kaioshin']['id'] = 9;
	$GLOBALS['races']['Kaioshin']['name'] = 'Kaioshin';
	$GLOBALS['races']['Kaioshin']['HP'] = 1000;
	$GLOBALS['races']['Kaioshin']['MP'] = 150;
	$GLOBALS['races']['Kaioshin']['Starke'] = 100;
	$GLOBALS['races']['Kaioshin']['Verteidigung'] = 100;
	$GLOBALS['races']['Kaioshin']['Geschwindigkeit'] = 100;
	$GLOBALS['races']['Kaioshin']['Gluck'] = 100;
	$GLOBALS['races']['Kaioshin']['Ausdauer'] = 100;
	$GLOBALS['races']['Kaioshin']['trainingspoints'] = 500;
	$GLOBALS['races']['Kaioshin']['type'] = 1; // ID der race_kategorie
	$GLOBALS['races']['Kaioshin']['special'] = 'yes'; // Ist kein Spezialchar!

	$GLOBALS['races']['Schwertkämpfer']['id'] = 10;
	$GLOBALS['races']['Schwertkämpfer']['name'] = 'Schwertkämpfer';
	$GLOBALS['races']['Schwertkämpfer']['HP'] = 100;
	$GLOBALS['races']['Schwertkämpfer']['MP'] = 25;
	$GLOBALS['races']['Schwertkämpfer']['Starke'] = 25;
	$GLOBALS['races']['Schwertkämpfer']['Verteidigung'] = 10;
	$GLOBALS['races']['Schwertkämpfer']['Geschwindigkeit'] = 10;
	$GLOBALS['races']['Schwertkämpfer']['Gluck'] = 2;
	$GLOBALS['races']['Schwertkämpfer']['Ausdauer'] = 8;
	$GLOBALS['races']['Schwertkämpfer']['type'] = 0; // ID der race_kategorie
	$GLOBALS['races']['Schwertkämpfer']['special'] = 'no'; // Ist kein Spezialchar!

	$GLOBALS['races']['Grandline Maschine']['id'] = 11;
	$GLOBALS['races']['Grandline Maschine']['name'] = 'Grandline Maschine';
	$GLOBALS['races']['Grandline Maschine']['HP'] = 400;
	$GLOBALS['races']['Grandline Maschine']['MP'] = 5;
	$GLOBALS['races']['Grandline Maschine']['Starke'] = 5;
	$GLOBALS['races']['Grandline Maschine']['Verteidigung'] = 5;
	$GLOBALS['races']['Grandline Maschine']['Geschwindigkeit'] = 5;
	$GLOBALS['races']['Grandline Maschine']['Gluck'] = 0;
	$GLOBALS['races']['Grandline Maschine']['Ausdauer'] = 10;
	$GLOBALS['races']['Grandline Maschine']['type'] = 0; // ID der race_kategorie
	$GLOBALS['races']['Grandline Maschine']['special'] = 'no'; // Ist kein Spezialchar!

	foreach ($GLOBALS['races'] as $race) {
		$GLOBALS['race_ids'][$race['id']] = $race;
	}
}
function getRaceByID($raceid) {
	return $GLOBALS['race_ids'][$raceid];
}

function getRaceByName($racename) {
	return $GLOBALS['races'][$racename];
}

function getRaces(){
	return $GLOBALS['races'];
}


function getRaceOfChar($charid){
	$char = getChar($charid);
	return $char['rasse'];
}

function getRaceIdOfChar($charid){
	$char = getChar($charid);
	$race = getRaceByName($char['rasse']); 
	return $race['id'];
}

// Weil es derzeit keine Datenbankunterstuetzung gibt initialisiere die Rassen!
init_races();

?>
